# Data Collate

## Overview

**zae_engine** is a powerful data preprocessing library designed for machine learning and deep learning workflows. This library streamlines the data preparation process and provides a consistent preprocessing pipeline to help maximize model performance. **CollateBase** is one of the core modules of zae_engine, performing various preprocessing tasks such as splitting tensor data into chunks, scaling, and filtering.

## Features

- **Unified Chunking:** Flexibly splits 1D and 2D tensors into manageable chunks.
- **Signal Filtering:** Applies various signal processing filters, including lowpass, highpass, bandpass, and bandstop.
- **Signal Scaling:** Normalizes data using Min-Max scaling.
- **Flexible Collation:** Easily integrates multiple preprocessing modules to construct data pipelines.
- **Comprehensive Testing:** Robust unit tests ensure the reliability and accuracy of each module.



